Package org.opensaml.saml.saml2.ecp

# Interface SubjectConfirmation

All Superinterfaces:
  `ActorBearing`, `MustUnderstandBearing`, `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `SubjectConfirmationImpl`

public interface SubjectConfirmation extends SAMLObject, MustUnderstandBearing, ActorBearing
SAML 2.0 ECP SubjectConfirmation SOAP header.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`METHOD_ATTRIB_NAME`
Method attribute name.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.soap.soap11.ActorBearing

`SOAP11_ACTOR_ATTR_LOCAL_NAME, SOAP11_ACTOR_ATTR_NAME, SOAP11_ACTOR_NEXT`

### Fields inherited from interface org.opensaml.soap.soap11.MustUnderstandBearing

`SOAP11_MUST_UNDERSTAND_ATTR_LOCAL_NAME, SOAP11_MUST_UNDERSTAND_ATTR_NAME`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMethod()`
Get the method used to confirm this subject.
`SubjectConfirmationData`
`getSubjectConfirmationData()`
Gets the data about how this subject was confirmed or constraints on the confirmation.
`void`
`setMethod(String newMethod)`
Sets the method used to confirm this subject.
`void`
`setSubjectConfirmationData(SubjectConfirmationData newSubjectConfirmationData)`
Sets the data about how this subject was confirmed or constraints on the confirmation.

### Methods inherited from interface org.opensaml.soap.soap11.ActorBearing

`getSOAP11Actor, setSOAP11Actor`

### Methods inherited from interface org.opensaml.soap.soap11.MustUnderstandBearing

`isSOAP11MustUnderstand, isSOAP11MustUnderstandXSBoolean, setSOAP11MustUnderstand, setSOAP11MustUnderstand`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### METHOD_ATTRIB_NAME

@Nonnull @NotEmpty static final String METHOD_ATTRIB_NAME
Method attribute name.

See Also:
  - Constant Field Values

## Method Details

### getMethod

@Nullable String getMethod()
Get the method used to confirm this subject.

Returns:
  the method used to confirm this subject

### setMethod

void setMethod(@Nullable String newMethod)
Sets the method used to confirm this subject.

Parameters:
  `newMethod` - the method used to confirm this subject

### getSubjectConfirmationData

@Nullable SubjectConfirmationData getSubjectConfirmationData()
Gets the data about how this subject was confirmed or constraints on the confirmation.

Returns:
  the data about how this subject was confirmed or constraints on the confirmation

### setSubjectConfirmationData

void setSubjectConfirmationData(@Nullable SubjectConfirmationData newSubjectConfirmationData)
Sets the data about how this subject was confirmed or constraints on the confirmation.

Parameters:
  `newSubjectConfirmationData` - the data about how this subject was confirmed or constraints on the confirmation